/* Importar Parcelas Temporales */
function importar_in_temp (){

	jQuery.ajax({
	type: "POST",
	url: "existe_colonia",
	data: {dpto: dpto, distrito: distrito, colonia: colonia, tabla: 'in_temp'},
	success: function(res) {
		if (res == 'SI')
		{
			alertify.alert('<h4>Las parcelas de la colonia <b>' + col_desc + '</b> ya existen</h4>');
			
		}else{
			window.location.href = "appurl:IPGc:/espacio_trabajo/importarpg.bat,archivo,jaime,sirt2015**," + dpto + "," + distrito + "," + colonia + "," + col_desc;
			//alertify.alert('<h4>¡Colonia <b>' + col_desc + '</b> importada con éxito!</h4>');
		}
	}
	
	});
}

function exportar_in_temp (){

	jQuery.ajax({
	type: "POST",
	url: "existe_colonia",
	//dataType: 'json',
	data: {dpto: dpto, distrito: distrito, colonia: colonia, tabla: 'in_temp'},
	success: function(res) {
		if (res == 'SI')
		{
			window.location.href = "appurl:EPGc:/espacio_trabajo/exportarpg.bat,archivo,jaime,sirt2015**," + dpto + "," + distrito + "," + colonia;
			alertify.alert('<h4>¡Colonia <b>' + col_desc + '</b> exportada con éxito!</h4>');
			
		}else{
			alertify.alert('<h4>No exiten parcelas de la colonia <b>' + col_desc + '</b></h4>');
		}
	}
	
	});
}

function generar_pericia (){
	var $i = 0;
	var $c = 0;
	jQuery.ajax({
	type: "GET",
	url: "obtener_parcelas/" + dpto + "/" + distrito + "/" + colonia,
	dataType: 'json',	
	//data: {dpto: dpto, distrito: distrito, colonia: colonia},	
	error: function(){
		alert('Hubo un Error no se pudo generar las pericias!');
	},
    beforeSend: function () {
        $("#avance").html("Obteniendo datos Pericia, espere por favor...");
    },	
	success: function(res) {
		var $cantidad = res.cantidad;
		var $cantper = res.cantper;

		if (($cantper === $cantidad) && ($cantper !== 0))
		{
			alertify.alert('<h4>Ya se realizo la generacion de pericias para la colonia <b>' + col_desc + '</b> </h4>');		
		}else{
			if (($cantper === $cantidad) && ($cantper === 0))
			{
				alertify.alert('<h4>No existen parcelas para la colonia <b>' + col_desc + '</b> Se debe importar! </h4>');		
			}else{			
		        $("#avance").html("Inicio de generación de pericias por parcela...");
				$.each(res.data, function( index, value ) {
					$i = $i + 1;            
					var objectid = value['objectid'];			
					$.ajax({
		    			url : 'generar_pericia/' + objectid,
			    		//data : {objectid: objectid},
		    			type : 'GET',
			    		dataType : 'json',
		    			success : function(res_pericia) {
		    				$("#avance").html("parcela " + objectid + " En proceso");
		    				/*
		        			$('<h1/>').text(json.title).appendTo('body');
		        			$('<div class="content"/>')
		            		.html(json.html).appendTo('body');
		            		*/
			    		},	    		
		    			error : function(xhr, status) {
		        			$("#avance").html("parcela " + objectid + " NO PROCESADA o con error!");
			    		},	    			    		
		    			//complete : function(xhr, status) {
		    			complete : function(xhr, status) {
		    				$c = $c + 1;            
		    				$("#avance").html($c + " de " + $i + "  :: parcela: " + objectid + " Procesada");
							if (($cantidad == $i) && ($cantidad == $c)) {
								alertify.alert('<h4><b>' + $c + '</b> parcelas procesadas de ' + $cantidad + ' </h4>' + 
								'<h4><b> Generacion de pericias completa! </h4>');
							}    				
		    			}    			
					});
				});        								
			}
		}
	},
    complete : function(xhr, status) {
    }
	});
}

function eliminar_in_temp (){

	jQuery.ajax({
	type: "POST",
	url: "eliminar_parcelas",
	//dataType: 'json',
	data: {dpto: dpto, distrito: distrito, colonia: colonia},
	success: function(res) {
		if (res == 'SI')
		{
			alertify.alert('<h4>No existen parcelas de la colonia <b>' + col_desc + '</b></h4>');
			
		}else if(res == 'BORRADA'){
			alertify.alert('<h4>¡La colonia <b>' + col_desc + '</b> se ha eliminado con éxito!</h4>');
		}
	}
	
	});
}

function importar_pericia (){
	jQuery.ajax({
	type: "POST",
	url: "existe_colonia",
	data: {dpto: dpto, distrito: distrito, colonia: colonia},
	success: function(res) {
		if (res == 'SI')
		{
			alertify.alert('<h4>La parcelas para perica de la colonia <b>' + col_desc + '</b> ya existen</h4>');
			
		}else{
			window.location.href="appurl:IPGc:/espacio_trabajo/importarpgrum.bat,archivo,indert,sirt2015**," + dpto + "," + distrito + "," + colonia + "," + col_desc;
			//alertify.alert('<h4>¡Colonia <b>' + col_desc + '</b> importada con éxito!</h4>');
		}
	}	
	});
	
}

function eliminar_pericia (){
	
	jQuery.ajax({
	type: "POST",
	url: "eliminar_pericia",
	success: function(res) {
		alertify.alert('<h4>¡Pericia de la colonia <b>' + col_desc + '</b> eliminada correctamente!</h4>');
	}	
	});
}

function limit_dig(id,max){
	var val = $('#'+id).val().length;
	if (val > max) {
		$('#'+id).val(val_input_ant);
	}else{
		val_input_ant = $('#'+id).val();
	}
}

function tiene_salida(id) {

  
	var expediente 	= $('#' + id).attr('expediente');
	var gestion 	= $('#' + id).attr('gestion');
	
	jQuery.ajax({
	type: "POST",
	url: "/ci_seam/expedientes/expedientes/tiene_salida",
	data: {expe_id: id},
	success: function(res) {
		console.log(res);
		if (res == 'SI') {
			alertify.alert('<h4>El expediente <b>Nro: ' + expediente + '</b>, <b>Gestion: ' + gestion + ' </b> ya tiene salida<b></h4>');
		}else{
			window.location.href = '/ci_seam/expedientes/expedientes/edit_expe/' + id;
		}
	}
	
	});
}

function anular_salida(expe_id, exp, gest) {

  		alertify.confirm('¿Estás seguro/a de anular la salida del expediente <b>' + exp + '</b> gestión <b>' + gest + '</b>?' ,
		function(){
					window.location.href = '/ci_seam/expedientes/expedientes/anular_salida_expe/'+expe_id;
				  },
		function(){ 
					
		});
}

function eliminar_expe(expe_id, exp, gest, secuencia) {
	
	alertify.confirm('¿Estás seguro/a de eliminar el expediente <b>' + exp + '</b> gestión <b>' + gest + '</b> secuencia <b>' + secuencia + '</b>?' ,
									function(){
												jQuery.ajax({
												type: "POST",
												url: "/ci_seam/expedientes/expedientes/delete",
												data: {expe_id: expe_id, exp: exp, gest: gest, secuencia: secuencia},
												success: function(res) {
													console.log(res);
													if (res == 'SI') {
														window.location.href = '/ci_seam/expedientes/expedientes/index/';
													}
												}
												
												});							
											  },
									function(){ 
												console.log(' no ok');
												});
	
}

function existe_grafico (id_expediente, gestion){

	//console.log(id_expediente);
	//console.log(gestion);
	jQuery.ajax({
	type: "POST",
	url: "/ci_seam/expedientes/expedientes/existe_grafico",
	//dataType: 'json',
	data: {id_expediente: id_expediente, gestion: gestion},
	success: function(res) {
		console.log(res);
		if (res == 0)
		{
			alertify.alert('<h4>No existen datos gráficos para este expediente</h4>');
			
		}else{
			window.location.href = '/ci_seam/expedientes/expedientes/verparcela/' + id_expediente + '/' + gestion;
		}
	}
	
	});
}

function existe_grafico_expe_id (expe_id){

	//console.log(expe_id);
	
	jQuery.ajax({
	type: "POST",
	url: "/ci_seam/expedientes/expedientes/existe_grafico_expe_id",
	//dataType: 'json',
	data: {expe_id: expe_id},
	success: function(res) {
		console.log(res);
		if (res == 0)
		{
			alertify.alert('<h4>No existen datos gráficos para este expediente</h4>');
			
		}else{
			window.location.href = '/ci_seam/expedientes/expedientes/verparcela_expe_id/' + expe_id;
		}
	}
	
	});
}

function importar_shapes (){
	console.log('ENTRO');
	jQuery.ajax({
	type: "POST",
	url: "call_bat",
	//data: {dpto: dpto, distrito: distrito, colonia: colonia, tabla: 'in_temp'},
	success: function(res) {
		alertify.alert('<h4>¡Fincas de la colonia <b>' + col_desc + '</b> importadas correctamente!</h4>');
	}	
	});
}

function registrar_exp (){
	console.log('ENTRO');

	var exp 	 = $('#expe_id_expediente').val();
	var gest 	 = $('#expe_gestion').val();
	var dep 	 = $('#expe_id_dependencia').val();
	var expe_id  = $('#expe_id').val();

	jQuery.ajax({
	type: "POST",
	url: "existe_exp_uk",
	data: {exp: exp, gest: gest, dep: dep, expe_id: expe_id},
	success: function(res) {
		if (res == 'SI') {

			alertify.confirm('¿Es reingreso?',
									function(){
												$('#expe_id_expediente_ref').val(exp);
												$('#form-create_expediente').submit();
											  },
									function(){ 
												//window.location.href = '/ci_seam/expedientes/expedientes/create';
												});
		}else{
			$('#form-create_expediente').submit();
		}
	}	
	});
}

function editable_grid (element){

	//console.log($(this).children('td#SomeID').text());

	//console.log(texto_ini);

	//console.log("row" + element.parentNode.parentNode.rowIndex + 
    //" - column" + element.parentNode.cellIndex);

	//var texto_ini = $('td#'+tag.id).text();

	//console.log(texto_ini);

	//var text = $('td#'+tag.id).text(texto_ini);

	//console.log(text);

	/*var exp 	= $('#expe_id_expediente').val();
	var gest 	= $('#expe_gestion').val();

	jQuery.ajax({
	type: "POST",
	url: "existe_exp",
	data: {exp: exp, gest: gest},
	success: function(res) {
		if (res == 'SI') {

			alertify.confirm('¿Es reingreso?',
									function(){
												$('#expe_id_expediente_ref').val(exp);
												$('#form-create_expediente').submit();
											  },
									function(){ 
												window.location.href = '/ci_seam/expedientes/expedientes/create';
												});
		}else{
			$('#form-create_expediente').submit();
		}
	}	
	});*/
}
 
$(document).ready(function(){
	////////// Prueba para Table Editable ////////
	$('table#tabla_expedientes').on('dblclick', 'td', function(e){
		input_edit 	= $(this).attr('id');
		var clase	= $(this).attr('class');
		
		if (clase == 'edit') {
			id 		= $(this).attr('id');
			
			val_ini = $(this).text();
			
			$(this).text('');
			$(this).append('<input type="hidden" id="' + id + '" class="form-control">');
			$('input#'+id).val(val_ini);
			$('input#'+id).attr('type','text').focus();
		}else{
			$('td#'+id).text('');
			$('td#'+id).text(val_ini);
		}

		/*$(this).siblings().each(function() {

			var ide = $(this).attr('id');
			
			if ($('input#'+ide).attr('type') == 'text') {
				$('input#'+ide).attr('type','hidden');
			}
		});*/
	});

	//$( "#tabla_expedientes").on( "keydown", function( e ) {
	//	if (input_edit != null) {
	//		if ($('input#'+input_edit).focus()) {
	//			
	//		}
	//	}
	//});



	//////////////////////////////////////////////


	$('#boton_liberar').attr('disabled','disabled');

	$('#dptodistritocolonia').change(function(){

	       if($(this).val() != ''){

	          $('#boton_liberar').removeAttr('disabled');

	       }

	});

	$('#form-edit_expe').submit(function() {
	    $("#expe_tipo_ref").prop('disabled',	false);
	    $("select[name=expe_tipo_ref]").selectpicker("refresh");
	});


	//tratamiento campo consultor de la pantalla expediente
	$("#expe_id_consultor").on('input', function () {
		var val = this.value;

		if (this.value.length == 0) {
			$("#expe_consultor_nom").val('');
		}

		if($('#expe_id_consultor_list option').filter(function(){
	    	if (this.value === val) {
	    		value = this.id;
		        return this.value === val;
	    	}
	    }).length) {
	    	$("#expe_consultor_nom").val(value);
	    }
	});

	//Pantalla expediente
    $('#expe_id_departamento').change(function(event) {
	    
	    event.preventDefault();

		expe_id_departamento = this.value;
		console.log('Dpto: ' + expe_id_departamento);
		jQuery.ajax({
		type: "POST",
		url: "/ci_seam/expedientes/expedientes/trae_distritos",
		data: {expe_id_departamento: expe_id_departamento},
		success: function(res) {
			if (res)
			{
				$("#expe_id_distrito").html(res);
			    $("select[name=expe_id_distrito]").selectpicker("refresh");
			}
		}

		});
	});


    $('#expe_id_expediente_ref').change(function(event) {
	    
	    event.preventDefault();

		expe_id_expediente_ref = this.value;
		console.log('Expe: ' + expe_id_expediente_ref);
		jQuery.ajax({
		type: "POST",
		url: "/ci_seam/expedientes/expedientes/trae_expe_ref",
		data: {expe_id_expediente_ref: expe_id_expediente_ref},
		success: function(res) {
			if (res)
			{
				$("#expe_id_ref").html(res);
			    $("select[name=expe_id_ref]").selectpicker("refresh");
			}
		}

		});
	});


	$('.boton').click(function(){
		var valores="";
 
            // Obtenemos todos los valores contenidos en los <td> de la fila
            // seleccionada
            $(this).parents("tr").find(".dpto").each(function(){
               dpto = $(this).html();
            });
            $(this).parents("tr").find(".distrito").each(function(){
               distrito = $(this).html();
            });
            $(this).parents("tr").find(".colonia").each(function(){
               colonia = $(this).html();
            });
            $(this).parents("tr").find(".col_desc").each(function(){
               col_desc = $(this).html();
            });
 			
            $(".acciones_cabecera").empty();
            $(".acciones_cuerpo").empty();
			// Show Entered Value
			
        	/* Vamos agregando a nuestra tabla las filas necesarias */
        		$(".acciones_cabecera").append("<tr>" +
        							   		   "<th>Dpto.</th>" +
        							   		   "<th>Distrito</th>" +
        							   		   "<th>Colonia</th>" +
        							   		   "<th>Descripción</th>" +
        							   		   "<th>Parcelas Temp.</th>" +
        							   		   "<th>Pericia</th>" +
        							   		   "<th>Percelas Proc.</th>" +
        							   		   "<th>Mapas</th>" +
        							   		   "</tr>").fadeIn();

        		$(".acciones_cuerpo").append("<tr>" +
        							   		   "<td class='dpto'>" + dpto + 
        						   	   		   "</td><td class='distrito'>" + distrito  + 
        						   	   		   "</td><td class='colonia'>" + colonia + "</td>" +
        						   	   		   "</td><td>" + col_desc + "</td>" +

        						   	   		   "</td><td id='newTable' class='col-sm-2'>" + 
        						   	   		   		"<a onclick='importar_in_temp()' >" +
                                               		"<i class='fa btn btn-xs bg-aqua color-palette'>Importar</i>" +

                                               		"<a onclick='exportar_in_temp()'>" +
                                               		"<i class='fa btn btn-xs bg-olive color-palette'>Exportar</i></a>" +

                                               		"<a onclick='eliminar_in_temp()'>" +
                                               		"<i class='fa btn btn-xs bg-yellow color-palette'>Eliminar</i></a>" +

                                               "</td>" +

                                               "</td><td class='col-sm-2'>" + 
                                               		"<a onclick='generar_pericia()'>" +
                                               		"<i class='fa btn btn-xs bg-aqua color-palette'>Generar Pericias</i>" +

                                                    "<a href='generar_excel_pericia/"+dpto+"/"+distrito+"/"+colonia+"'>" +
                                               		"<i class='fa btn btn-xs bg-blue color-palette'>Imprimir Pericias</i>" +

                                               		"<a href='generar_excel_pericia_res/"+dpto+"/"+distrito+"/"+colonia+"'>" +
                                               		"<i class='fa btn btn-xs bg-yellow color-palette'>Imprimir Pericias Resumido</i>" +


                                               "</a></td>" +

                                               "</td><td class='col-sm-2'>" + 
        						   	   		   		"<a href='appurl:IPGc:/espacio_trabajo/importarpg.bat,archivo,jaime,sirt2015**," + dpto + "," + distrito + "," + colonia + "," + col_desc + "'>" +
                                               		"<i class='fa btn btn-xs bg-aqua color-palette'>Importar</i>" +

                                              		 "<a href='appurl:EPGc:/espacio_trabajo/exportarpg.bat,archivo,jaime,sirt2015**," + dpto + "," + distrito + "," + colonia + "'>" +
                                               		"<i class='fa btn btn-xs bg-olive color-palette'>Exportar</i>" +

                                               		"<a href=''>" +
                                               		"<i class='fa btn btn-xs bg-yellow color-palette'>Eliminar</i>" +

                                               "</a></td>" +

                                               "</td><td class='col-sm-2'>" + 

        						   	   		   		"<a href='http://192.168.1.131:8060/i3geo/ferramentas/imprimir/imprimir_A3_Mapear_4_colores.php?mapfile=C:/ms4w/Apache/htdocs/i3geo/aplicmap/imprimir_A3_Mapear_4_colores.map&interface=googlemaps&dpto=" + dpto + "&distrito=" + distrito + "&colonia=" + colonia + "'>" +
                                               		"<i class='fa btn btn-xs bg-aqua color-palette'>A3: 4 Colores</i>" +

                                              		 "<a href='http://192.168.1.131:8060/i3geo/ferramentas/imprimir/imprimir_A3_Mapear_5_colores.php?mapfile=C:/ms4w/Apache/htdocs/i3geo/aplicmap/imprimir_A3_Mapear_5_colores.map&interface=googlemaps&dpto=" + dpto + "&distrito=" + distrito + "&colonia=" + colonia + "'>" +
                                               		"<i class='fa btn btn-xs bg-olive color-palette'>A3: 5 Colores</i>" +

                                               		"<a href='http://192.168.1.131:8060/i3geo/ferramentas/imprimir/imprimir_A0_mapa_catastral.php?mapfile=C:/ms4w/Apache/htdocs/i3geo/aplicmap/imprimir_A0_mapa_catastral.map&interface=googlemaps&dpto=" + dpto + "&distrito=" + distrito + "&colonia=" + colonia + "'>" +
                                               		"<i class='fa btn btn-xs bg-yellow color-palette'>A0: Mapa Catastral</i>" +

                                               "</a></td>" +


        						   	   		   "</tr>").fadeIn();



            $(".acciones_g_cabecera").empty();
            $(".acciones_g_cuerpo").empty();
			// Show Entered Value
			
        	/* Vamos agregando a nuestra tabla las filas necesarias */
        		$(".acciones_g_cabecera").append("<tr>" +
        							   		   "<th>Dpto.</th>" +
        							   		   "<th>Distrito</th>" +
        							   		   "<th>Colonia</th>" +
        							   		   "<th>Descripción</th>" +
        							   		   "<th>Parcelas Temp.</th>" +
        							   		   "<th>Pericia</th>" +
        							   		   //"<th>Percelas Proc.</th>" +
        							   		   "<th>Mapas</th>" +
        							   		   "</tr>").fadeIn();

        		$(".acciones_g_cuerpo").append("<tr>" +
        							   		   "<td class='dpto'>" + dpto + 
        						   	   		   "</td><td class='distrito'>" + distrito  + 
        						   	   		   "</td><td class='colonia'>" + colonia + "</td>" +
        						   	   		   "</td><td>" + col_desc + "</td>" +

        						   	   		   "</td><td id='newTable' class='col-sm-2'>" + 
        						   	   		   		"<a onclick='importar_in_temp()' >" +
                                               		"<i class='fa btn btn-xs bg-aqua color-palette'>Importar</i>" +

                                               		"<a onclick='exportar_in_temp()'>" +
                                               		"<i class='fa btn btn-xs bg-olive color-palette'>Exportar</i></a>" +

                                               		"<a onclick='eliminar_in_temp()'>" +
                                               		"<i class='fa btn btn-xs bg-yellow color-palette'>Eliminar</i></a>" +

                                               "</td>" +

                                               "</td><td class='col-sm-2'>" + 
                                               		"<a onclick='generar_pericia()'>" +
                                               		"<i class='fa btn btn-xs bg-aqua color-palette'>Generar Pericias</i>" +

                                                    "<a href='generar_excel_pericia/"+dpto+"/"+distrito+"/"+colonia+"'>" +
                                               		"<i class='fa btn btn-xs bg-blue color-palette'>Imprimir Pericias</i>" +

                                               		"<a href='generar_excel_pericia_res/"+dpto+"/"+distrito+"/"+colonia+"'>" +
                                               		"<i class='fa btn btn-xs bg-yellow color-palette'>Imprimir Pericias Resumido</i>" +


                                               "</a></td>" +

                                               "</td><td class='col-sm-2'>" + 

        						   	   		   		"<a href='http://192.168.1.131:8060/i3geo/ferramentas/imprimir/imprimir_A3_Mapear_4_colores.php?mapfile=C:/ms4w/Apache/htdocs/i3geo/aplicmap/imprimir_A3_Mapear_4_colores.map&interface=googlemaps&dpto=" + dpto + "&distrito=" + distrito + "&colonia=" + colonia + "'>" +
                                               		"<i class='fa btn btn-xs bg-aqua color-palette'>A3: 4 Colores</i>" +

                                              		 "<a href='http://192.168.1.131:8060/i3geo/ferramentas/imprimir/imprimir_A3_Mapear_5_colores.php?mapfile=C:/ms4w/Apache/htdocs/i3geo/aplicmap/imprimir_A3_Mapear_5_colores.map&interface=googlemaps&dpto=" + dpto + "&distrito=" + distrito + "&colonia=" + colonia + "'>" +
                                               		"<i class='fa btn btn-xs bg-olive color-palette'>A3: 5 Colores</i>" +

                                               		"<a href='http://192.168.1.131:8060/i3geo/ferramentas/imprimir/imprimir_A0_mapa_catastral.php?mapfile=C:/ms4w/Apache/htdocs/i3geo/aplicmap/imprimir_A0_mapa_catastral.map&interface=googlemaps&dpto=" + dpto + "&distrito=" + distrito + "&colonia=" + colonia + "'>" +
                                               		"<i class='fa btn btn-xs bg-yellow color-palette'>A0: Mapa Catastral</i>" +

                                               "</a></td>" +


        						   	   		   "</tr>").fadeIn();




	})

})


 $(document).keypress(function(e) {
 	if(e.which == 13) {
		$('#form_geocolonia').submit();
    }
});



//función que crea el modal (html está en el index de in_temp)
/*function iframeModalOpen(){

		// impostiamo gli attributi da aggiungere all'iframe es: data-src andrà ad impostare l'url dell'iframe
		$('.modalButton').on('click', function(e) {
			var src = $(this).attr('data-src');
			//var width = $(this).attr('data-width') || 640; // larghezza dell'iframe se non impostato usa 640
			//var height = $(this).attr('data-height') || 360; // altezza dell'iframe se non impostato usa 360

			var allowfullscreen = $(this).attr('data-video-fullscreen'); // impostiamo sul bottone l'attributo allowfullscreen se è un video per permettere di passare alla modalità tutto schermo
			
			// stampiamo i nostri dati nell'iframe
			$("#myModal iframe").attr({
				'src': src,
				'height': 800,
				'width': 800,
				'allowfullscreen':''
			});
		});

		// se si chiude la modale resettiamo i dati dell'iframe per impedire ad un video di continuare a riprodursi anche quando la modale è chiusa
		$('#myModal').on('hidden.bs.modal', function(){
			$(this).find('iframe').html("");
			$(this).find('iframe').attr("src", "");
		});
	}*/

/*
function barra de progreso (){
	baseUrl = "";
      var ajax_load = "<div class='progress'>" + "<div id='progress_id' class='progress-bar progress-bar-striped active' " +

          "role='progressbar' aria-valuenow='0' aria-valuemin='0' aria-valuemax='100' style='width: 0%'>" +

          "n/100</div></div>";

	$("#menu_navegacion_inicio").on("click", function(ev) {
        // estas dos lineas no cambian
        ev.preventDefault();
        var href = $(this).attr('href');

        // sustituir el contenido de subpagina con el mensaje de carga       
        $("#subpagina").html(ajax_load);

        // hacer llamada ajax al href
        $.ajax({
          url: "eliminar_parcelas",
          data: {dpto: dpto, distrito: distrito, colonia: colonia},
          // cuando se completa la petición
          success: function(codigo){
            // rellenar la subpagina con el HTML obtenido
            $("#subpagina").html("COMPLETADO!");
            alertify.alert('<h4>La parcelas de la colonia <b>' + col_desc + '</b> ya existen</h4>');
          },
          // modificar el valor de xhr a nuestro gusto
          xhr: function(){
            // obtener el objeto XmlHttpRequest nativo
            var xhr = $.ajaxSettings.xhr() ;
            // añadirle un controlador para el evento onprogress
            xhr.onprogress = function(evt){ 
              // calculamos el porcentaje y nos quedamos sólo con la parte entera
              var porcentaje = Math.floor((evt.loaded/evt.total*100));
              // actualizamos el texto con el porcentaje mostrado
              $("#progress_id").text(porcentaje + "/100");
              // actualizamos la cantidad avanzada en la barra de progreso
              $("#progress_id").attr("aria-valuenow", porcentaje); 
              $("#progress_id").css("width", porcentaje + "%"); 
            };
            // devolvemos el objeto xhr modificado
            return xhr ;
          }
        });
      });

	//jQuery.ajax({
	//type: "POST",
	//url: "existe_colonia",
	//data: {dpto: dpto, distrito: distrito, colonia: colonia},
	//success: function(res) {
	//	if (res == 'SI')
	//	{
	//		alertify.alert('<h4>La parcelas de la colonia <b>' + col_desc + '</b> ya existen</h4>');
	//		
	//	}else{
	//		window.location.href = "appurl:IPGc:/espacio_trabajo/importarpg.bat,archivo,jaime,sirt2015**," + dpto + "," + distrito + "," + colonia + "," + col_desc;
	//		//alertify.alert('<h4>¡Colonia <b>' + col_desc + '</b> importada con éxito!</h4>');
	//	}
	//}
	//
	//});
}*/
